;;; init-helm.el --- .Emacs Configuration -*- lexical-binding: t -*-
;;; Commentary:
;;

;;; Code:
(use-package helm
  :ensure t
  :bind (("M-x" . helm-M-x)
         ("C-x b" . helm-buffers-list)
         ("C-x r b" . helm-filtered-bookmarks)
         ("M-y" . helm-show-kill-ring)
         ("C-x C-f" . helm-find-files)
         :map helm-map
         ("<tab>" . helm-execute-persistent-action)
         ("C-i" . helm-execute-persistent-action)
         ("C-z" . helm-select-action))

  :config
  (setq helm-autoresize-mode t) ;; default 40%
  (setq helm-split-window-inside-p t)
  (setq helm-autoresize-max-height 50)
  (setq helm-autoresize-min-height 20)

  ;; colors
  (set-face-attribute 'helm-selection nil
                      :background "gold"
                      :foreground "black"))

(provide 'init-helm)

;; Local Variables:
;; byte-compile-warnings: (not free-vars)
;; End:
;;; init-helm.el ends here
